<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title><?= SITE_TITLE ?></title>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
  <link rel="stylesheet" href="./assets/css/style.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" integrity="sha512-1ycn6IcaQQ40/MKBW2W4Rhis/DbILU74C1vSrLJxCq57o941Ym01SwNsOMqvEBFlcgUa6xLiPY/NS5R+E6ztJQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="./assets/css/mystyle.css">


</head>

<body>
  <!-- partial:index.partial.html -->

  <div class="app-container">
    <div class="app-header">
      <div class="app-header-left">
        <span class="app-icon"></span>
        <p class="app-name">Portfolio</p>
        <div class="search-wrapper">
          <input class="search-input" type="text" placeholder="جست و جو">
          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" class="feather feather-search" viewBox="0 0 24 24">
            <defs></defs>
            <circle cx="11" cy="11" r="8"></circle>
            <path d="M21 21l-4.35-4.35"></path>
          </svg>
        </div>
      </div>


      <div class="app-header-right">
        <button class="mode-switch" title="Switch Theme">
          <svg class="moon" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="24" height="24" viewBox="0 0 24 24">
            <defs></defs>
            <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
          </svg>
        </button>



        <button class="notification-btn">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bell">
            <path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9" />
            <path d="M13.73 21a2 2 0 0 1-3.46 0" />
          </svg>
        </button>
        <div class="profile-btn">
          <img src="<?= $user->image ?>" />
          <span><?= $user->name ?></span>
        </div>
      </div>
      <button class="messages-btn">
        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-circle">
          <path d="M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z" />
        </svg>
      </button>
    </div>



    <div class="app-content">
      <div class="app-sidebar">
        <a href="<?= BASE_URL ?>" class="app-sidebar-link active">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-home">
            <path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z" />
            <polyline points="9 22 9 12 15 12 15 22" />
          </svg>
        </a>
        <a href="" class="app-sidebar-link">
          <svg class="link-icon" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" class="feather feather-pie-chart" viewBox="0 0 24 24">
            <defs />
            <path d="M21.21 15.89A10 10 0 118 2.83M22 12A10 10 0 0012 2v10z" />
          </svg>
        </a>

        <a href="" class="app-sidebar-link">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" class="bi bi-folder-plus" viewBox="0 0 16 16">
            <path d="m.5 3 .04.87a1.99 1.99 0 0 0-.342 1.311l.637 7A2 2 0 0 0 2.826 14H9v-1H2.826a1 1 0 0 1-.995-.91l-.637-7A1 1 0 0 1 2.19 4h11.62a1 1 0 0 1 .996 1.09L14.54 8h1.005l.256-2.819A2 2 0 0 0 13.81 3H9.828a2 2 0 0 1-1.414-.586l-.828-.828A2 2 0 0 0 6.172 1H2.5a2 2 0 0 0-2 2zm5.672-1a1 1 0 0 1 .707.293L7.586 3H2.19c-.24 0-.47.042-.683.12L1.5 2.98a1 1 0 0 1 1-.98h3.672z" />
            <path d="M13.5 10a.5.5 0 0 1 .5.5V12h1.5a.5.5 0 1 1 0 1H14v1.5a.5.5 0 1 1-1 0V13h-1.5a.5.5 0 0 1 0-1H13v-1.5a.5.5 0 0 1 .5-.5z" />
          </svg>
        </a>
        <div>
          <a href="<?= BASE_URL . "?logout=1" ?>" class="app-sidebar-link" style="text-decoration: none;">
            <i class="fas fa-sign-out-alt" style="font-size: 30px;"></i>
          </a>
        </div>
      </div>



      <div class="projects-section">


        <div class="projects-section-header">
          <button class="projectbt" title="Add New Project" onclick="openAddProject()">
            افزودن پروژه جدید
          </button>

          <div class="form-popup" id="addproject">
            <form action="" class="form-container" method="POST">
              <h4>افزودن پروژه</h4>

              <label for="project"><b>نام پروژه را وارد کنید.</b></label>
              <input type="text" id="newProjectinp" placeholder="نام پروژه را وارد کنید" name="project" required>

              <button type="submit" id="addProjects" class="addProjectbutton">افزودن</button>
              <button type="button" class="btn cancel" onclick="closeAddProject()">بستن</button>
            </form>
          </div>
          <p class="time"><?= jdate("j , F"); ?></p>
        </div>

        <div class="project-boxes jsGridView">




          <?php foreach ($getpro as $project) : ?>

            <?php

            $id = $project->id;
            $ProjectI = doneassignment($id);
            $id = $project->id;
            $ProjectD = allassignment($id);
            $a = $ProjectI["COUNT(*)"];
            $b = $ProjectD["COUNT(*)"]; ?>

            <div class="project-box-wrapper">
              <div class="project-box" style="background-color: <?= ($project->id == $_GET['project_id']) ? '#fee4cb' : '#dbf6fd' ?>;">
                <div class="project-box-header">
                  <span><?php $timeInDb = $project->created_at;
                        echo chengTime($timeInDb);
                        ?></span>



                  <a href="?delete_id=<?= $project->id ?>">
                    <div class="more-wrapper">
                      <button class="project-btn-more" id="delproject">
                        <i class="fa fa-trash"></i>
                      </button>
                    </div>
                  </a>
                </div>
                <a class="projectNameD" href="?project_id=<?= $project->id ?>">
                  <div class="project-box-content-header">
                    <p class="box-content-header"><?= $project->name ?></p>
                  </div>
                </a>
                <div class="box-progress-wrapper">
                  <p class="box-progress-header">پیشرفت پروژه</p>
                  <div class="box-progress-bar">
                    <span class="box-progress" style="width:                   <?php
                                                                                if ($a != 0) {
                                                                                  echo (int)$c = $a * 100  / $b;
                                                                                } else {
                                                                                  echo "0";
                                                                                }
                                                                                ?>%; background-color: 
                    <?php if (isset($_GET['project_id'])) {
                      if ($project->id == $_GET['project_id']) {
                        echo '#ff942e';
                      } else {
                        echo '#096c86';
                      }
                    } else {
                      echo '#096c86';
                    } ?>">
                    </span>
                  </div>
                  <p class="box-progress-percentage">

                    <?php
                    if ($a != 0) {
                      echo (int)$c = $a * 100  / $b;
                    } else {
                      echo "0";
                    }
                    ?>
                    %
                  </p>
                </div>
                <div class="project-box-footer">
                  <div class="participants">
                    <button class="add-participant" style="color: <?= ($project->id == $_GET['project_id']) ? '#ff942e' : '#096c86' ?>;" onclick="openForm()">
                      <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" class="feather feather-plus">
                        <path d="M12 5v14M5 12h14" />
                      </svg>
                    </button>

                    <div class="form-popup" id="addassignment">
                      <form action="" class="form-container">
                        <h4>افزودن هدف برای پروژه <?= $project->name ?></h4>

                        <label for="assignment"><b>نام هدف</b></label>
                        <input type="text" placeholder="هدف را وارد کنید." id="inpAssigtbtn" class="addAssignmentinput" name="assignment" required>

                        <label for="assignment"><b>روز های مورد نیاز جهت تکمیل</b></label>
                        <input type="text" placeholder="تعداد روز را وارد کنید" id="inpAssigtdead" class="addAssignmentinput" name="deadl" required>

                        <button type="submit" id="addAssigtbtn" class="addAssignmentbutton">افزودن</button>
                        <button type="button" class="btn cancel" onclick="closeForm()">بستن</button>
                      </form>
                    </div>
                  </div>
                  <div class="days-left" style="color: <?= ($project->id == $_GET['project_id']) ? '#ff942e' : '#096c86' ?>;">
                    اهداف انجام شده : <?php $id = $project->id;
                                      $ProjectI = doneassignment($id);
                                      echo $ProjectI["COUNT(*)"]; ?> از
                    <?php $id = $project->id;
                    $ProjectD = allassignment($id);
                    echo $ProjectD["COUNT(*)"]; ?>
                  </div>
                </div>
              </div>
            </div>

          <?php endforeach; ?>
        </div>
      </div>

      <div id="openass" class="messages-section" ;>
        <?php if (sizeof($getAss) > 0) : ?>
          <?php foreach ($getAss as $Assignment) : ?>
            <div class="project-box-wrapper">
              <div class="project-box" style="background-color:<?= ($Assignment->is_done) ? '#fee4cb' : '#e9e7fd' ?> ;">
                <div class="project-box-header">
                  <span> زمان ثبت : <?php $timeInDb = $Assignment->created_at;
                                    echo chengTime($timeInDb); ?></span>
                  <div class="more-wrapper">
                    <a href="?deleteAssignment=<?= $Assignment->id ?>"><i class="fa fa-trash"></i></a>
                  </div>
                </div>
                <div class="chekbox">
                  <p><?= $Assignment->title ?></p>
                  <div class="iconchekbox">
                    <a href="">
                      <i data-AssignmentId="<?= $Assignment->id ?>" class="isDone <?= ($Assignment->is_done) ? "far fa-check-square" : "far fa-square" ?>" style="font-size: 17px; opacity: 0.7;">
                      </i>
                    </a>
                  </div>
                </div>
                <div class="project-box-footer">
                  <div class="days-left" style="color: <?= ($Assignment->is_done) ? '#ff942e' : '#4f3ff0' ?>;">
                    <?php
                    $timeInDtb = $Assignment->deadline;

                    if ($Assignment->is_done > 0) {

                      echo "هدف انجام شده .";
                    } elseif (deadline($timeInDtb) <= 0) {
                      $timeInDtb = $Assignment->deadline;
                      echo deadline($timeInDtb);
                      echo "زمان مورد نظر برای تکمیل هدف به اتمام رسیده";
                    } else {

                      echo deadline($timeInDtb) . "روز مانده تا پایان زمان مشخص شده";
                    }

                    ?>
                  </div>
                </div>
              </div>
            </div>


          <?php endforeach; ?>
        <?php else : ?>

          <div class="project-box-wrapper">
            <div class="project-box" style="background-color: #ffd3e2;">
              <div class="project-box-header">
              </div>
              <div class="chekbox">
                <p>برای این پروژه هدف تعریف نشده</p>
              </div>
            </div>
          <?php endif; ?>
          </div>




          <script src="./assets/js/script.js"></script>
          <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.js" integrity="sha512-n/4gHW3atM3QqRcbCn6ewmpxcLAHGaDjpEBu4xZd47N0W2oQ+6q7oc3PXstrJYXcbNU1OHdQ1T7pAP+gi5Yu8g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>


          <script>
            function openForm() {
              document.getElementById("addassignment").style.display = "block";
            }

            function closeForm() {
              document.getElementById("addassignment").style.display = "none";
            }

            function openAddProject() {
              document.getElementById("addproject").style.display = "block";
            }

            function closeAddProject() {
              document.getElementById("addproject").style.display = "none";
            }

            $(document).ready(function() {
              var btnp = $('#addProjects');
              var project = $('#newProjectinp');

              var btnA = $('#addAssigtbtn');
              var inpA = $('#inpAssigtbtn');
              var inpD = $('#inpAssigtdead');

              var btnAD = $('.isDone');
              var AssigtID = $(this).attr('data-AssignmentId');

              btnp.click(function() {
                $.ajax({
                  url: 'process/ajaxHandler.php',
                  method: 'POST',
                  data: {
                    action: "addProject",
                    project: project.val()
                  },
                  success: function(response) {
                    alert(response);
                  },
                  error: function(response) {
                    alert(response);
                  }
                });
              })

              btnA.click(function() {
                $.ajax({
                  url: 'process/ajaxHandler.php',
                  method: 'POST',
                  data: {
                    action: "addAssignment",
                    ProjectId: <?= $_GET['project_id'] ?? 0 ?>,
                    AssignmenName: inpA.val(),
                    deadl: inpD.val(),
                  },
                  success: function(response) {
                    location.reload();
                  },
                });
              })


              btnAD.click(function() {
                var AssigtID = $(this).attr('data-AssignmentId');
                $.ajax({
                  url: 'process/ajaxHandler.php',
                  method: 'POST',
                  data: {
                    action: "AssigDone",
                    AssigtID: AssigtID

                  },
                  success: function(response) {
                    location.reload();
                  },
                });
              });


            });
          </script>

          </script>
</body>

</html>